use std::process::Command;

fn main()
{
    let output = Command::new("git")
        .args(&["rev-parse", "HEAD"])
        .output()
        .expect("Failed to acquire git HEAD");
    let git_hash = String::from_utf8(output.stdout).expect("Invalid UTF-8 output from git HEAD");
    let git_hash = git_hash.trim();
    println!("cargo:rustc-env=GIT_HASH={}", git_hash);
}
